## flif 0.3

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(flif)

find_package(PNG REQUIRED)
include_directories(${PNG_INCLUDE_DIRS})

# find SDL2

find_package(PkgConfig QUIET)
pkg_check_modules(PKG_SDL2 QUIET sdl2)

find_path(SDL2_INCLUDE_DIR
  NAMES SDL.h
  HINTS
    ${PKG_SDL2_INCLUDEDIR}
    ${PKG_SDL2_INCLUDE_DIRS}
  PATH_SUFFIXES SDL2
)

find_library(SDL2_LIBRARY
  NAMES SDL2 SDL2main
  HINTS
    ${PKG_SDL2_LIBDIR}
    ${PKG_SDL2_LIBRARY_DIRS}
  PATH_SUFFIXES x64 x86
)

find_library(SDL2MAIN_LIBRARY
  NAMES SDL2main
  HINTS
    ${PKG_SDL2_LIBDIR}
    ${PKG_SDL2_LIBRARY_DIRS}
  PATH_SUFFIXES x64 x86
)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(SDL2
                                  REQUIRED_VARS SDL2_INCLUDE_DIR SDL2_LIBRARY SDL2MAIN_LIBRARY)

# /find SDL2
set(FLIF_SRC_DIR ${CMAKE_CURRENT_LIST_DIR})

set(COMMON_SOURCES
    ${FLIF_SRC_DIR}/image/color_range.cpp
    ${FLIF_SRC_DIR}/image/crc32k.cpp
    ${FLIF_SRC_DIR}/image/image-metadata.cpp
    ${FLIF_SRC_DIR}/image/image-pam.cpp
    ${FLIF_SRC_DIR}/image/image-png.cpp
    ${FLIF_SRC_DIR}/image/image-pnm.cpp
    ${FLIF_SRC_DIR}/image/image-rggb.cpp
    ${FLIF_SRC_DIR}/image/image.cpp
    ${FLIF_SRC_DIR}/maniac/bit.cpp
    ${FLIF_SRC_DIR}/maniac/chance.cpp
    ${FLIF_SRC_DIR}/maniac/symbol.cpp
    ${FLIF_SRC_DIR}/transform/factory.cpp
    ${FLIF_SRC_DIR}/io.cpp
    ${FLIF_SRC_DIR}/common.cpp
    ${FLIF_SRC_DIR}/flif-dec.cpp
    ${FLIF_SRC_DIR}/../extern/lodepng.cpp
)

if(WIN32)
    set(STATIC_LINKED_LIBS ${ZLIB_LIBRARY})
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_DEBUG "-ggdb3")
    set(CMAKE_CXX_FLAGS_RELEASE "-O3")
endif()

if(USE_ASAN)
    message(STATUS "Using ASAN")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
endif()

set(DEFINITIONS_FOR_ALL_TARGETS
    LODEPNG_NO_COMPILE_PNG LODEPNG_NO_COMPILE_DISK
)

# executable

if(WIN32)
    set(WINDOWS_EXE_SOURCE
        ${FLIF_SRC_DIR}/../build/MSVC/getopt/getopt.c
    )
endif()

add_executable(flif_exe ${COMMON_SOURCES} ${WINDOWS_EXE_SOURCE} ${FLIF_SRC_DIR}/flif-enc.cpp ${FLIF_SRC_DIR}/flif.cpp)
target_link_libraries(flif_exe ${PNG_LIBRARY} ${STATIC_LINKED_LIBS})
set_target_properties(flif_exe PROPERTIES OUTPUT_NAME flif)

if(WIN32)
    target_include_directories(flif_exe PRIVATE ${FLIF_SRC_DIR}/../build/MSVC/getopt)
    target_compile_definitions(flif_exe PRIVATE ${DEFINITIONS_FOR_ALL_TARGETS} STATIC_GETOPT ) # prevents dllexporting symbols for getopt
endif()

# library

add_library(flif_lib SHARED ${COMMON_SOURCES} ${FLIF_SRC_DIR}/flif-enc.cpp ${FLIF_SRC_DIR}/library/flif-interface.cpp)
add_library(flif_lib_dec SHARED ${COMMON_SOURCES} ${FLIF_SRC_DIR}/library/flif-interface_dec.cpp)

target_link_libraries(flif_lib ${PNG_LIBRARY} ${STATIC_LINKED_LIBS})
target_link_libraries(flif_lib_dec ${PNG_LIBRARY} ${STATIC_LINKED_LIBS})

set_target_properties(flif_lib PROPERTIES OUTPUT_NAME flif)
set_target_properties(flif_lib_dec PROPERTIES OUTPUT_NAME flif_dec)

target_compile_definitions(flif_lib PRIVATE ${DEFINITIONS_FOR_ALL_TARGETS} FLIF_BUILD_DLL )
target_compile_definitions(flif_lib_dec PRIVATE ${DEFINITIONS_FOR_ALL_TARGETS} FLIF_BUILD_DLL DECODER_ONLY )

target_include_directories(flif_exe PRIVATE ${FLIF_SRC_DIR}/../extern)
target_include_directories(flif_lib PRIVATE ${FLIF_SRC_DIR}/../extern)
target_include_directories(flif_lib_dec PRIVATE ${FLIF_SRC_DIR}/../extern)

# viewflif

if(${SDL2_FOUND})
    add_executable(viewflif ${FLIF_SRC_DIR}/viewflif.c)
    set_source_files_properties(${FLIF_SRC_DIR}/viewflif.c PROPERTIES LANGUAGE CXX)
    target_link_libraries(viewflif flif_lib_dec ${SDL2_LIBRARY} ${SDL2MAIN_LIBRARY})
    target_include_directories(viewflif PRIVATE ${FLIF_SRC_DIR}/library ${SDL2_INCLUDE_DIR})
    target_compile_definitions(viewflif PRIVATE FLIF_USE_DLL)
endif()

# test

add_executable(libtest ${FLIF_SRC_DIR}/../tools/test.c)
target_link_libraries(libtest flif_lib)
target_include_directories(libtest PRIVATE ${FLIF_SRC_DIR}/library)
target_compile_definitions(libtest PRIVATE FLIF_USE_DLL)

enable_testing()
add_test(NAME libtest COMMAND libtest dummy.flif)
if(UNIX)
    add_test(NAME roundtrip1 COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/../tools/test-roundtrip.sh ${CMAKE_CURRENT_SOURCE_DIR}/../tools/2_webp_ll.png 2_webp_ll.flif decoded_2_webp_ll.png)
    add_test(NAME roundtrip2 COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/../tools/test-roundtrip.sh ${CMAKE_CURRENT_SOURCE_DIR}/../tools/kodim01.png kodim01.flif decoded_kodim01.png)
    add_test(NAME roundtrip3 COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/../tools/test-roundtrip_anim.sh ${CMAKE_CURRENT_SOURCE_DIR}/../tools/endless_war.gif endless_war.flif)
endif()

=== src/Makefile ===
PREFIX := $(DESTDIR)/usr/local
CXXFLAGS := $(shell pkg-config --cflags zlib libpng) -DLODEPNG_NO_COMPILE_PNG -DLODEPNG_NO_COMPILE_DISK
LDFLAGS := $(shell pkg-config --libs libpng)

OSNAME := $(shell uname -s)
SONAME = -soname
LIBEXT = .so
SOVERSION = 0
LIBEXTV = $(LIBEXT).$(SOVERSION)
ifeq ($(OSNAME),Darwin)
  SONAME = -install_name
  LIBEXT = .dylib
  LIBEXTV = .$(SOVERSION)$(LIBEXT)
endif

# for running interface-test
export LD_LIBRARY_PATH=$(shell pwd):/usr/local/lib:$LD_LIBRARY_PATH

FILES_H := maniac/*.hpp maniac/*.cpp image/*.hpp transform/*.hpp flif-enc.hpp flif-dec.hpp common.hpp flif_config.h fileio.hpp io.hpp io.cpp config.h compiler-specific.hpp ../extern/lodepng.h
FILES_CPP := maniac/chance.cpp maniac/symbol.cpp image/crc32k.cpp image/image.cpp image/image-png.cpp image/image-pnm.cpp image/image-pam.cpp image/image-rggb.cpp image/image-metadata.cpp image/color_range.cpp transform/factory.cpp common.cpp flif-enc.cpp flif-dec.cpp io.cpp ../extern/lodepng.cpp

all: flif libflif$(LIBEXT)
decoder: libflif_dec$(LIBEXT) dflif

# options to consider: -fvect-cost-model=unlimited -funroll-all-loops
OPTIMIZATIONS := -DNDEBUG -O2 -ftree-vectorize
# there are often problems with clang and lto also it doesn't seem to know -fwhole-program
ifeq ($(CXX), g++)
	OPTIMIZATIONS := $(OPTIMIZATIONS) -flto -fwhole-program
endif

LIB_OPTIMIZATIONS := -DNDEBUG -O2
ifeq ($(CXX), g++)
	LIB_OPTIMIZATIONS := $(LIB_OPTIMIZATIONS) -flto
endif

# Command-line FLIF encoding/decoding tool - LGPLv3
flif: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) $(OPTIMIZATIONS) -g0 -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o flif

# Command-line FLIF decoding tool - Apache2 (not built by default)
dflif: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) $(OPTIMIZATIONS) -DDECODER_ONLY -g0 -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o dflif

# Decoder-only library - Apache2 (not built by default)
libflif_dec$(LIBEXT): $(FILES_H) $(FILES_CPP) library/flif_dec.h library/flif-interface-private_dec.hpp library/flif-interface_dec.cpp
	echo $(OS)
	$(CXX) -std=gnu++11 $(CXXFLAGS) $(LIB_OPTIMIZATIONS) -DDECODER_ONLY -g0 -Wall -shared -fPIC $(FILES_CPP) library/flif-interface_dec.cpp $(LDFLAGS) -Wl,$(SONAME),libflif_dec$(LIBEXTV) -o libflif_dec$(LIBEXTV)
	ln -sf libflif_dec$(LIBEXTV) libflif_dec$(LIBEXT)

# Decoder + encoder library - LGPL
libflif$(LIBEXT): $(FILES_H) $(FILES_CPP) library/*.h library/*.hpp library/*.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) $(LIB_OPTIMIZATIONS) -g0 -Wall -shared -fPIC $(FILES_CPP) library/flif-interface.cpp $(LDFLAGS) -Wl,$(SONAME),libflif$(LIBEXTV) -o libflif$(LIBEXTV)
	ln -sf libflif$(LIBEXTV) libflif$(LIBEXT)

libflif.dbg$(LIBEXT): $(FILES_H) $(FILES_CPP) library/*.h library/*.hpp library/*.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) -DDEBUG -O1 -ggdb3 -Wall -shared -fPIC $(FILES_CPP) library/flif-interface.cpp $(LDFLAGS) -Wl,$(SONAME),libflif$(LIBEXTV) -o libflif.dbg$(LIBEXTV)
	ln -sf libflif.dbg$(LIBEXTV) libflif.dbg$(LIBEXT)

# Example application: simple FLIF viewer - public domain
viewflif: libflif$(LIBEXT) viewflif.c
	$(CC) -std=gnu11 -O3 -ggdb3 $(shell sdl2-config --cflags) -Wall -Ilibrary/ viewflif.c -L. -lflif $(shell sdl2-config --libs) -o viewflif


install: flif libflif$(LIBEXT)
	install -d $(PREFIX)/bin $(PREFIX)/lib $(PREFIX)/share/man/man1
	install -m 755 flif $(PREFIX)/bin
	strip -x $(PREFIX)/bin/flif
	install -m 755 libflif$(LIBEXT) libflif$(LIBEXTV) $(PREFIX)/lib
	strip -x $(PREFIX)/lib/libflif$(LIBEXT) \
	  $(PREFIX)/lib/libflif$(LIBEXTV)
	install -m 644 ../doc/flif.1 $(PREFIX)/share/man/man1
	install -m 755 ../tools/gif2flif $(PREFIX)/bin
	install -m 755 ../tools/apng2flif $(PREFIX)/bin

install-viewflif:
	install -m 755 viewflif $(PREFIX)/bin
	strip -x $(PREFIX)/bin/viewflif

install-dev:
	install -d $(PREFIX)/include
	install -m 644 library/*.h $(PREFIX)/include

install-decoder: decoder
	install -m 755 dflif $(PREFIX)/bin
	strip -x $(PREFIX)/bin/dflif
	install -m 755 libflif_dec$(LIBEXT) libflif_dec$(LIBEXTV) $(PREFIX)/lib
	strip -x $(PREFIX)/lib/libflif_dec$(LIBEXT) \
	  $(PREFIX)/lib/libflif_dec$(LIBEXTV)

magic:
	if ! grep -q FLIF /etc/magic; then cat ../doc/flif.magic >> /etc/magic; fi

uninstall:
	rm -f $(PREFIX)/bin/flif
	rm -f $(PREFIX)/bin/viewflif
	rm -f $(PREFIX)/bin/gif2flif
	rm -f $(PREFIX)/bin/apng2flif
	rm -f $(PREFIX)/include/flif.h
	rm -f $(PREFIX)/include/flif_common.h
	rm -f $(PREFIX)/include/flif_dec.h
	rm -f $(PREFIX)/include/flif_enc.h
	rm -f $(PREFIX)/lib/libflif$(LIBEXT)
	rm -f $(PREFIX)/lib/libflif_dec$(LIBEXT)
	rm -f $(PREFIX)/lib/libflif$(LIBEXTV)
	rm -f $(PREFIX)/lib/libflif_dec$(LIBEXTV)
	rm -f $(PREFIX)/share/man/man1/flif.1

clean:
	rm -f flif dflif libflif*$(LIBEXT)* viewflif flif.asan flif.dbg flif.prof flif.stats test-interface


# The targets below are only meant for developers

test-interface: libflif.dbg$(LIBEXT) libflif$(LIBEXT) ../tools/test.c
	$(CC) -O0 -ggdb3 -Wall -Ilibrary/ ../tools/test.c -L. -lflif.dbg  -o test-interface

test: flif test-interface
	mkdir -p ../tmp-test
	./test-interface ../tmp-test/dummy.flif
	../tools/test-roundtrip.sh ./flif ../tools/2_webp_ll.png ../tmp-test/2_webp_ll.flif ../tmp-test/decoded_2_webp_ll.png
	../tools/test-roundtrip.sh ./flif ../tools/kodim01.png ../tmp-test/kodim01.flif ../tmp-test/decoded_kodim01.png
	../tools/test-lossy.sh ./flif ../tools/kodim01.png ../tmp-test/kodim01-lossy.flif ../tmp-test/decoded_kodim01-lossy.png
	../tools/test-roundtrip_anim.sh ./flif ../tools/endless_war.gif ../tmp-test/endless_war.flif
	../tools/test-roundtrip_anim_framedir.sh ./flif ../tools/bouncing_ball_frames ../tmp-test/bouncing_ball.flif
	../tools/test-metadata.sh ./flif ../testFiles/sig05-014.png ../tmp-test/out-meta.flif ../tmp-test/out-meta.png


flif.stats: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) -DSTATS $(OPTIMIZATIONS) -g0 -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o flif.stats

flif.prof: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) $(OPTIMIZATIONS) -g0 -pg -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o flif.prof

flif.dbg: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) -Og -ggdb3 -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o flif.dbg

flif.dbg0: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) -O0 -ggdb3 -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o flif.dbg

flif.asan: $(FILES_H) $(FILES_CPP) flif.cpp
	$(CXX) -std=gnu++11 $(CXXFLAGS) $(OPTIMIZATIONS) -DDEBUG -fsanitize=address,undefined -fno-omit-frame-pointer -g3 -Wall $(FILES_CPP) flif.cpp $(LDFLAGS) -o flif.asan

viewflif.asan: libflif$(LIBEXT) viewflif.c
	$(CC) -std=gnu11 -O0 -ggdb3 -fsanitize=address,undefined $(shell sdl2-config --cflags) -Wall -Ilibrary/ viewflif.c -L. -lflif $(shell sdl2-config --libs) -o viewflif.asan

# make UBSAN print stacktrace
test.asan: export UBSAN_OPTIONS = print_stacktrace=1
test.asan: flif.asan test-interface viewflif.asan
	mkdir -p ../tmp-test
	./test-interface ../tmp-test/dummy.flif
# ASAN may find leaks in code which is not ours and in that case it will throw bad exitcodes on first occurence
# but we want or tests to continue running, so ignore exit code for now
	../tools/test-roundtrip.sh ./flif.asan ../tools/2_webp_ll.png ../tmp-test/2_webp_ll.flif ../tmp-test/decoded_2_webp_ll.png || true
	../tools/test-roundtrip.sh ./flif.asan ../tools/kodim01.png ../tmp-test/kodim01.flif ../tmp-test/decoded_kodim01.png  || true
	../tools/test-lossy.sh ./flif.asan ../tools/kodim01.png ../tmp-test/kodim01-lossy.flif ../tmp-test/decoded_kodim01-lossy.png || true
	../tools/test-roundtrip_anim.sh ./flif.asan ../tools/endless_war.gif ../tmp-test/endless_war.flif || true
	../tools/test-roundtrip_anim_framedir.sh ./flif.asan ../tools/bouncing_ball_frames ../tmp-test/bouncing_ball.flif || true

=== debian/changelog ===
flif (0.3-5) unstable; urgency=medium

  * Symbols file removed: d/libflif0.symbols.
    Thanks to Matteo F. Vescovi

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 08 May 2018 15:51:12 +0000

flif (0.3-4) unstable; urgency=medium

  * Team upload.

  [ Matteo F. Vescovi ]
  * Revert "debian/libflif0.symbols: symbols updated for new architectures"
  * debian/libflif0.symbols: symbols filtered

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 07 May 2018 22:36:45 +0200

flif (0.3-3) unstable; urgency=medium

  * Team upload.

  [ Matteo F. Vescovi ]
  * debian/libflif0.symbols: symbols updated for new architectures

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 06 May 2018 22:50:15 +0200

flif (0.3-2) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * debian/libflif0.symbols: symbols updated

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 02 May 2018 23:19:55 +0200

flif (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #812761)

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 18 Apr 2018 22:59:49 +0200

=== debian/control ===
Source: flif
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends: debhelper (>=11~), dh-exec (>=0.3), bash-completion,
 libpng-dev, libsdl2-dev, libimage-exiftool-perl, imagemagick
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian-phototools-team/flif.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/flif
Homepage: http://flif.info/

Package: libflif0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Lossless Image Format (FLIF) decoder library
 FLIF is a novel lossless image format which outperforms PNG, lossless
 WebP, lossless BPG, lossless JPEG2000, and lossless JPEG XR in terms
 of compression ratio.
 .
 This package contains the reference implementation of the FLIF decoder,
 as a shared library.

Package: libflif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libflif0 (= ${binary:Version})
Description: Free Lossless Image Format (FLIF) decoder library (development files)
 FLIF is a novel lossless image format which outperforms PNG, lossless
 WebP, lossless BPG, lossless JPEG2000, and lossless JPEG XR in terms
 of compression ratio.
 .
 This package contains the header files required to develop programs
 based on the FLIF library.

Package: flif-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: imagemagick, apngdis
Description: Free Lossless Image Format (FLIF) tools
 FLIF is a novel lossless image format which outperforms PNG, lossless
 WebP, lossless BPG, lossless JPEG2000, and lossless JPEG XR in terms
 of compression ratio.
 .
 The programs contained in this package can encode and decode images in
 the Free Lossless Image Format (FLIF). Input and output formats can be
 either PNG, PAM, PNM (PPM, PGM, PBM) or FLIF.

Package: viewflif
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: flif-tools
Description: Free Lossless Image Format (FLIF) viewer
 FLIF is a novel lossless image format which outperforms PNG, lossless
 WebP, lossless BPG, lossless JPEG2000, and lossless JPEG XR in terms
 of compression ratio.
 .
 This package provides ‘viewflif’, a tool that displays a FLIF image
 or animation using SDL2. This is not intended to be a convenient image
 viewer; it is mostly just a simple demo application.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

TMP = $(CURDIR)/debian/tmp

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- all viewflif

override_dh_auto_install:
	make -C src DESTDIR=$(TMP) install install-viewflif install-dev

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tmp-test

=== debian/watch ===
version=4
https://github.com/FLIF-hub/FLIF/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## flif 0.4

=== debian/changelog ===
flif (0.4-0ddebs1~ubuntu24.04) noble; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 23 Nov 2025 23:26:59 +0100

flif (0.3-7ddebs5) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 11 Mar 2024 01:06:46 +0100

flif (0.3-7ddebs4) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Apr 2023 16:44:32 +0200

flif (0.3-7ddebs3) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 05 Apr 2022 11:07:27 +0200

flif (0.3-7ddebs2) unstable; urgency=medium

  * updated to standards-version 4.5.0

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 19 Apr 2020 11:59:43 +0200

flif (0.3-7ddebs1) unstable; urgency=medium

  * Version for my repository.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 09 Dec 2018 01:46:13 +0100

flif (0.3-7) experimental; urgency=medium

  * Build-Conflict on graphicsmagick-imagemagick-compat (#897621)
  * d/gbp.conf: upstream-branch = upstream/latest (DEP14)
  * d/gbp.conf: pristine-tar(-commit) = True

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 11 Jul 2018 12:00:13 +0000

flif (0.3-6) experimental; urgency=medium

  * Release to experimental, as the package will be pulled from unstable.
    This is due to open CVEs. Further details are given in the NEWS file.
  * Build-Conflict on graphicsmagick-imagemagick-compat (#897621).
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 10 Jul 2018 11:50:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: flif
-Section: graphics
+Section: utils
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: debhelper (>=11~), dh-exec (>=0.3), bash-completion,
- libpng-dev, libsdl2-dev, libimage-exiftool-perl, imagemagick
-Standards-Version: 4.1.4
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-exec (>=0.3),
+ bash-completion,
+ libpng-dev,
+ libsdl2-dev,
+ libimage-exiftool-perl,
+ imagemagick
+Build-Conflicts: graphicsmagick-imagemagick-compat
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/flif.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/flif
-Homepage: http://flif.info/
+Homepage: https://flif.info/
+Rules-Requires-Root: no
 
 Package: libflif0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # https://wiki.debian.org/HardeningWalkthrough
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export PKG_CONFIG_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 
 TMP = $(CURDIR)/debian/tmp
 
@@ -18,3 +19,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf tmp-test
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

=== debian/watch ===
version=4
opts="compression=xz,repack" \
  https://github.com/FLIF-hub/FLIF/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz \
debian uupdate
